MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Friends
MyGUI::MouseButton Struct Reference

`#include <MyGUI_MouseButton.h>`

## Public Types
enum | Enum { None = -1, Left = 0, Right, Middle, Button0 = 0, Button1, Button2, Button3, Button4, Button5, Button6, Button7, MAX }

## Public Member Functions
| MouseButton (Enum _value=None)
int | getValue () const

## Friends
bool | operator== (MouseButton const &a, MouseButton const &b)
bool | operator!= (MouseButton const &a, MouseButton const &b)

## Detailed Description

Definition at line 15 of file MyGUI_MouseButton.h.

## Member Enumeration Documentation

enum MyGUI::MouseButton::Enum

Enumerator
None |
Left |
Right |
Middle |
Button0 |
Button1 |
Button2 |
Button3 |
Button4 |
Button5 |
Button6 |
Button7 |
MAX |

Definition at line 17 of file MyGUI_MouseButton.h.

## Constructor & Destructor Documentation

MyGUI::MouseButton::MouseButton | ( | Enum | _value = `None` | ) |
| inline

Definition at line 36 of file MyGUI_MouseButton.h.

## Member Function Documentation

int MyGUI::MouseButton::getValue | ( |  | ) | const
| inline

Definition at line 51 of file MyGUI_MouseButton.h.

## Friends And Related Function Documentation

bool operator!= | ( | MouseButton const & | a,
|  | MouseButton const & | b
| ) |  |
| friend

Definition at line 46 of file MyGUI_MouseButton.h.

bool operator== | ( | MouseButton const & | a,
|  | MouseButton const & | b
| ) |  |
| friend

Definition at line 41 of file MyGUI_MouseButton.h.

The documentation for this struct was generated from the following file:

- MyGUI_MouseButton.h